Gentoo Archives: gentoo-dev

From: Ulrich Mueller <ulm@g.o>
To: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] Pending removal(?) of media-libs/pdflib
Date: Tue, 22 Feb 2011 08:56:42
In Reply to: Re: [gentoo-dev] Pending removal(?) of media-libs/pdflib by Mike Frysinger
>>>>> On Tue, 22 Feb 2011, Mike Frysinger wrote:
>> sci-visualization/gnuplot[pdf] is currently linking against pdflib. >> I'm going to remove that dependency, because in my understanding, >> clause 2.1 of the PDFLite license does not allow such linking. (It >> allows it for programs under an OSI approved license. However, the >> gnuplot license is free, but not OSI approved.)
> that might disallow it for binaries, but it doesnt disallow it from > being used in ebuilds. same situation as binary kernel drivers -- > make it the end user's problem.
Why should we impose such trouble on our users, when there's a (IMHO superior) replacement? Build gnuplot with USE="cairo" and you can get PDF output with the "pdfcairo" terminal. Even with proper utf-8 support, which was always broken with pdflib. Ulrich


Subject Author
Re: [gentoo-dev] Pending removal(?) of media-libs/pdflib Rich Freeman <rich0@g.o>